// oglframe.cpp : implementation of the OGLFrame class
//

#include "stdafx.h"
#include "OGLApp.h"

#include "oglframe.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CStatusBar * g_status_bar = 0;

/////////////////////////////////////////////////////////////////////////////
// OGLFrame

IMPLEMENT_DYNCREATE(OGLFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(OGLFrame, CFrameWnd)
	//{{AFX_MSG_MAP(OGLFrame)
	ON_WM_CREATE()
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// OGLFrame construction/destruction

OGLFrame::OGLFrame()
{
	// TODO: add member initialization code here
	
}

OGLFrame::~OGLFrame()
{
}

int OGLFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	g_status_bar = &m_wndStatusBar;

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	return 0;
}

BOOL OGLFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// OGLFrame diagnostics

#ifdef _DEBUG
void OGLFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void OGLFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// OGLFrame message handlers


void OGLFrame::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	m_wndStatusBar.SetPaneText(0,"Left-mouse-drag to rotate, right-mouse to pick");
}
