// ogldoc.h : interface of the OGLDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_OGLDOC_H__B3F1195C_4B78_11D7_967B_08006912EAE7__INCLUDED_)
#define AFX_OGLDOC_H__B3F1195C_4B78_11D7_967B_08006912EAE7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <dibsect.h>


class OGLDoc : public CDocument
{
protected: // create from serialization only
	OGLDoc();
	DECLARE_DYNCREATE(OGLDoc)

// Attributes
public:
	DIBSection m_dib;

// Operations
public:

	DIBSection * GetDIB(void){ return &m_dib;}

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(OGLDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~OGLDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(OGLDoc)
	afx_msg void OnFileOpen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OGLDOC_H__B3F1195C_4B78_11D7_967B_08006912EAE7__INCLUDED_)
